language: php

sudo: false

cache:
  directories:
    - $HOME/.composer/cache

php:
 - 5.6
 - 7.0

env:
 global:
  - MOODLE_BRANCH=MOODLE_32_STABLE
 matrix:
  - DB=pgsql
  - DB=mysqli

before_install:
  - phpenv config-rm xdebug.ini
  - cd ../..
  - composer selfupdate
  - composer create-project -n --no-dev --prefer-dist moodlerooms/moodle-plugin-ci ci ^1
  - export PATH="$(cd ci/bin; pwd):$(cd ci/vendor/bin; pwd):$PATH"

install:
  - moodle-plugin-ci install

script:
  - moodle-plugin-ci phplint
  - moodle-plugin-ci codechecker
  - moodle-plugin-ci csslint
  - moodle-plugin-ci shifter
  - moodle-plugin-ci jshint
  - moodle-plugin-ci validate
  - moodle-plugin-ci phpunit
  - moodle-plugin-ci behat

